"use strict";

var _index = require("./index");

describe("test 'fortawesomeFreeRegularShortcode()'", () => {
  it('should be a defined function', () => {
    expect(_index.fortawesomeFreeRegularShortcode).not.toBeUndefined();
    expect(_index.fortawesomeFreeRegularShortcode).toBeType('function');
  });
  it('should return a defined string', () => {
    const result = (0, _index.fortawesomeFreeRegularShortcode)('bell', 'social-icon');
    expect(result).not.toBeUndefined();
    expect(result).toBeType('string');
    expect(result.length).not.toBe(0);
  });
});
describe("test 'fortawesomeFreeRegularPlugin()'", () => {
  it('should be a defined function', () => {
    expect(_index.fortawesomeFreeRegularPlugin).not.toBeUndefined();
    expect(_index.fortawesomeFreeRegularPlugin).toBeType('function');
  });
  describe('test the plugin', () => {
    const mockAddShortcode = jest.fn();
    const eleventyConfig = {
      addShortcode: mockAddShortcode
    };
    beforeEach(() => {
      mockAddShortcode.mockReset();
    });
    it("should call 'eleventyConfig.addShortcode()'", () => {
      (0, _index.fortawesomeFreeRegularPlugin)(eleventyConfig);
      expect(mockAddShortcode).toBeCalledTimes(1);
    });
    it("should call 'eleventyConfig.addShortcode()' with the expected arguments", () => {
      (0, _index.fortawesomeFreeRegularPlugin)(eleventyConfig);
      expect(mockAddShortcode).toBeCalledWith('fortawesomeRegular', _index.fortawesomeFreeRegularShortcode);
    });
  });
});